Skip to main content
GET
/
api
/
{projectId}
/
data-interval
Get the interval (in ms) of the training data
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/data-interval \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "intervalMs": 123,
  "frequencyHz": 123,
  "byDatastream": [
    {
      "type": "video",
      "intervalMs": 123,
      "frequencyHz": 123,
      "sensors": [
        {
          "name": "accX",
          "units": "<string>"
        }
      ]
    }
  ],
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

intervalMs
number
required
frequencyHz
number
required
byDatastream
object[]
required

Only filled if project has "multi_datastreams" experiment enabled. Otherwise an empty array.

error
string

Optional error description (set if 'success' was false)